/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "user", "paging","cupload","ajaxUploadImage"], function ($, template, Tools) {
    //数据存储
    var module = {
        data: {
            userInformationDetail:[],
            userSupplyInformationList:'',
            consultingInformationList:'',
            biddingInformationList:'',
            //页码
            pageNum: 1,
            //页码集合
            pageList: [],
            //每页数量
            pageSize: 1,
            //总页数
            pageCount:0,
            //用户ID
            memberId:0,
            //用户资料form
            form:{

            }
        },
    };
    var tools = new Tools();

    module.init = function (page) {

        //用户资料
        tools.doGet(userData, {}, module.userData);

        //用户资料
        //tools.doPut(userData, {id:}, module.userData,true);

        //个人中心选项卡鼠标悬浮
        module.userListHover();

    };

    //个人中心用户信息
    module.userData = function(data){
        if (data.code == 200) {
            var content = data.user;
            console.log(content)
            tools.doGet(userMember + '/' + content.userId, {}, module.userMember);//memberType 1个人 2单位
        }
    }

    //个人中心用户资料
    module.userMember = function(data){
        if (data.code == 200) {
            var content = data.data;
            console.log(data)
            module.data.userInformationDetail = content;
            module.data.memberType = content.memberType;
            if(content.memberType == '1'){
                document.getElementById('companyInformationContent').style.display = 'none';
                document.getElementById('userInformationContent').style.display = 'block';
                var userInformationData = template('userInformationData', module.data);
                $("#userInformationContent").html(userInformationData);
                var cupload2 = new Cupload ({
                    ele: '#cupload-3',
                    num: 5,
                });
            }else{
                document.getElementById('companyInformationContent').style.display = 'block';
                document.getElementById('userInformationContent').style.display = 'none';
                var companyInformationData = template('companyInformationData', module.data);
                $("#companyInformationContent").html(companyInformationData);
                var cupload2 = new Cupload ({
                    ele: '#cupload-2',
                    num: 5,
                });
            }
            document.getElementById('bankAddress').value = content.bankAddress;
            document.getElementById('bankCardName').value = content.bankCardName;
            document.getElementById('bankCardNum').value = content.bankCardNum;
            document.getElementById('phone').innerHTML = content.phone;

            module.data.memberId = content.id;
            console.log(content.memberType)
            //我的供求
            tools.doGet(userSupply, {memberId:content.id,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.userSupply);
            //我的咨询
            tools.doGet(userConsulting, {memberId:content.id,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.consulting);
            //我的竞价
            tools.doGet(userBidding, {memberId:content.id,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.bidding);
            //个人资料提交
            $('#userAction').on('click', module.formAction)
            $('#bankAction').on('click', module.formAction)
            $('#supplyAction').on('click', module.supplyAction)
            $('#releaseAction').on('click', module.releaseAction)
            //document.getElementById('userAction').addEventListener('click',module.formAction);
        }
    }

    //删除供求
    deleteUserSupply = function(ids){
        tools.doDelete(deleteSupply, {ids:ids}, module.Tips);
    }

    //个人中心我的供求
    module.userSupply = function(data){
        console.log(data)
        if (data.code == 200) {
            var content = data.rows;
            console.log(data)
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.userSupplyInformationList == '') {
                // 初始化 分页器
                var page_s1 = createPage('.page_s1');
                // 设置分页
                setPage(page_s1, {
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s1').html('共' + pageCount + '页')
            }
            module.data.userSupplyInformationList = content;
            var userSupplyInformationData = template('userSupplyInformationData', module.data);
            $("#userSupplyInformationContent").html(userSupplyInformationData);
        }
    }

    //个人中心我的咨询
    module.consulting = function(data){
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.consultingInformationList == '') {
                // 初始化 分页器
                var page_s1 = createPage('.page_s2');
                // 设置分页
                setPage(page_s1, {
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
            }
            module.data.consultingInformationList = content;
            $('#page_s2').html('共'+pageCount+'页')
            var consultingInformationData = template('consultingInformationData', module.data);
            $("#consultingInformationContent").html(consultingInformationData);
        }
    }

    //个人中心我的竞价
    module.bidding = function(data){
        if (data.code == 200) {
            var content = data.rows;
            console.log(content)
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.biddingInformationList == '') {
                // 初始化 分页器
                var page_s1=createPage('.page_s3');
                // 设置分页
                setPage(page_s1, {
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s3').html('共' + pageCount + '页')
            }
            module.data.biddingInformationList = content;
            var biddingInformationData = template('biddingInformationData', module.data);
            $("#biddingInformationContent").html(biddingInformationData);
        }
    }

    tabCheck = function(type){
        document.getElementById('user').className = '';
        document.getElementById('bank').className = '';
        document.getElementById(type).className = 'active';

        console.log(type)
        document.getElementById('userInformationContent').style.display = 'none';
        document.getElementById('companyInformationContent').style.display = 'none';
        document.getElementById('bankInformationContent').style.display = 'none';
        document.getElementById('phoneInformationContent').style.display = 'none';
        if (module.data.memberType == '2' && type == 'user'){
            document.getElementById('companyInformationContent').style.display = 'block';
        }else if (module.data.memberType == '1' && type == 'user'){
            document.getElementById('userInformationContent').style.display = 'block';
        }else{
            document.getElementById(type+'InformationContent').style.display = 'block';
        }

    }

    phoneUpdate = function(type){
        document.getElementById(type+'InformationContent').style.display = 'none';
        document.getElementById('phoneInformationContent').style.display = 'block';
    }

    tabLeftCheck = function(type){
        for (var i = 1 ; i < 5 ; i++){
            document.getElementById('icon-list'+i).className = '';
        }
        document.getElementById(type).className = 'active';
        document.getElementById('userInformation').style.display = 'none';
        document.getElementById('supplyInformation').style.display = 'none';
        document.getElementById('consultingInformation').style.display = 'none';
        document.getElementById('biddingInformation').style.display = 'none';
        if(type == 'icon-list1'){
            document.getElementById('userInformation').style.display = 'block';
        }
        if(type == 'icon-list2'){
            document.getElementById('supplyInformation').style.display = 'block';
            module.data.clickType = 'supply';
        }
        if(type == 'icon-list3'){
            document.getElementById('consultingInformation').style.display = 'block';
            module.data.clickType = 'consulting';
        }
        if(type == 'icon-list4'){
            document.getElementById('biddingInformation').style.display = 'block';
            module.data.clickType = 'bidding';
        }
        module.data.pageNum = 1 ;
    }

    goSupply = function(){
        document.getElementById('supplyInformation').style.display = "none";
        document.getElementById('releaseSupply').style.display = "block";
    }

    gosupplyTable = function(){
        document.getElementById('supplyInformation').style.display = "block";
        document.getElementById('releaseSupply').style.display = "none";
    }

    goRelease = function(){
        document.getElementById('consultingInformation').style.display = "none";
        document.getElementById('release').style.display = "block";
    }

    goReleaseTable = function(){
        document.getElementById('consultingInformation').style.display = "block";
        document.getElementById('release').style.display = "none";
    }

    //翻页
    turnThePage = function (pageNum) {
        module.data.pageNum = pageNum ;
        if(module.data.clickType == 'supply'){
            tools.doGet(userSupply, {memberId:module.data.memberId,pageNum:pageNum,pageSize:module.data.pageSize}, module.userSupply);
        }
        if(module.data.clickType == 'consulting'){
            tools.doGet(userConsulting, {memberId:module.data.memberId,pageNum:pageNum,pageSize:module.data.pageSize}, module.consulting);
        }
        if(module.data.clickType == 'bidding'){
            tools.doGet(userBidding, {memberId:module.data.memberId,pageNum:pageNum,pageSize:module.data.pageSize}, module.bidding);
        }
    }

    //个人用户资料修改
    module.formAction = function (){
        var data = {};
        //var password = $('#password').val();

        //用户信息
        var companyName = $('#companyName').val();
        var idCardNum = $('#idCardNum').val();
        var realname = $('#realname').val();
        var companyCode = $('#companyCode').val();
        var companyNature = $('#companyNature').val();
        var companyScope = $('#companyScope').val();
        var companyTimeLimit = $('#companyTimeLimit').val();
        var companySetupTime = $('#companySetupTime').val();
        var companyCapital = $('#companyCapital').val();
        var companyLicense = $('#companyLicense').val();
        var address = $('#address').val();

        //银行卡信息
        var bankCardName = $('#bankCardName').val();
        var bankCardNum = $('#bankCardNum').val();
        var bankAddress = $('#bankAddress').val();

        //data['password'] = password;
        data['companyName'] = companyName;
        data['idCardNum'] = idCardNum;
        data['realname'] = realname;
        data['companyCode'] = companyCode;
        data['companyName'] = companyName;
        data['companyNature'] = companyNature;
        data['companyScope'] = companyScope;
        data['companyTimeLimit'] = companyTimeLimit;
        data['companySetupTime'] = companySetupTime;
        data['companyCapital'] = companyCapital;
        data['companyLicense'] = companyLicense;
        data['address'] = address;

        data['bankCardName'] = bankCardName;
        data['bankCardNum'] = bankCardNum;
        data['bankAddress'] = bankAddress;

        data['id'] = module.data.memberId;

        tools.doPut(userUpdate, data, module.Tips)
    }

    //发布供求
    module.supplyAction = function (){
        var data = {};

        //供求信息
        var projectName = $('#projectName').val();
        var location = $('#location').val();
        var projectRealName = $('#projectRealName').val();
        var projectPhone = $('#projectPhone').val();
        var projectContent = $('#projectContent').val();
        var logintime = tools.getNowFormatDate();

        data['projectName'] = projectName;
        data['location'] = location;
        data['realname'] = projectRealName;
        data['phone'] = projectPhone;
        data['projectContent'] = projectContent;
        data['logintime'] = logintime;

        data['memberId'] = module.data.memberId;

        tools.doPost(userDemand, data, module.Tips)
    }

    //发布咨询
    module.releaseAction = function (){
        var data = {};

        //供求信息
        var title = $('#title').val();
        var releaseContent = $('#releaseContent').val();
        var releaseRealName = $('#releaseRealName').val();
        var releasePhone = $('#releasePhone').val();
        var logintime = tools.getNowFormatDate();

        data['title'] = title;
        data['content'] = releaseContent;
        data['realname'] = releaseRealName;
        data['phone'] = releasePhone;
        data['logintime'] = logintime;

        data['memberId'] = module.data.memberId;

        tools.doPost(userCommunicate, data, module.Tips)
    }

    module.Tips = function(data){
        console.log(data)
        tools.initError(data.msg);
    }

    //手动验证表单
    module.check = function () {
        var usernameVal = $('#username').val();
        var passwordVal = $('#password').val();
        var codeVal = $('#code').val();
        /* 手机号 */
        if (usernameVal == '') {
            $('#username')[0].focus()
            tools.initTips('请输入用户名', 'right', $('#username')[0], 2000)
            return false;
        }
        /* 密码 */
        if (passwordVal == '') {
            $('#password')[0].focus()
            tools.initTips('请输入密码', 'right', $('#password')[0], 2000)
            return false;
        } else if (parseInt(passwordVal.length) < 6 || parseInt(passwordVal.length) > 18) {
            $('#password')[0].focus()
            tools.initTips('请输入正确格式密码', 'right', $('#password')[0], 2000)
            return false;
        }
        /*图形验证码*/
        if (module.uuid == '' || codeVal == '') {
            $('#code')[0].focus()
            tools.initTips('请输入图形验证码', 'right', $('#code')[0], 2000)
            return false;
        }
        return true;
    }
    //个人中心选项卡鼠标悬浮
    module.userListHover = function(){
        document.getElementById('icon-list1').onmouseout = function(){
            document.getElementById('icon1').src = '../../static/images/user_index_icon1.png'
        }
        document.getElementById('icon-list1').onmouseover = function(){
            document.getElementById('icon1').src = '../../static/images/user_index_icon5.png'
        }

        document.getElementById('icon-list2').onmouseout = function(){
            document.getElementById('icon2').src = '../../static/images/user_index_icon2.png'
        }
        document.getElementById('icon-list2').onmouseover = function(){
            document.getElementById('icon2').src = '../../static/images/user_index_icon6.png'
        }

        document.getElementById('icon-list3').onmouseout = function(){
            document.getElementById('icon3').src = '../../static/images/user_index_icon3.png'
        }
        document.getElementById('icon-list3').onmouseover = function(){
            document.getElementById('icon3').src = '../../static/images/user_index_icon7.png'
        }

        document.getElementById('icon-list4').onmouseout = function(){
            document.getElementById('icon4').src = '../../static/images/user_index_icon4.png'
        }
        document.getElementById('icon-list4').onmouseover = function(){
            document.getElementById('icon4').src = '../../static/images/user_index_icon8.png'
        }


    }
    return module;
});